[arch-commits] Commit in flatpak/repos (8 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Thu Sep 14 07:46:40 UTC 2017


    Date: Thursday, September 14, 2017 @ 07:46:39
  Author: bpiotrowski
Revision: 305487

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  flatpak/repos/extra-i686/PKGBUILD
    (from rev 305486, flatpak/trunk/PKGBUILD)
  flatpak/repos/extra-i686/flatpak.install
    (from rev 305486, flatpak/trunk/flatpak.install)
  flatpak/repos/extra-x86_64/PKGBUILD
    (from rev 305486, flatpak/trunk/PKGBUILD)
  flatpak/repos/extra-x86_64/flatpak.install
    (from rev 305486, flatpak/trunk/flatpak.install)
Deleted:
  flatpak/repos/extra-i686/PKGBUILD
  flatpak/repos/extra-i686/flatpak.install
  flatpak/repos/extra-x86_64/PKGBUILD
  flatpak/repos/extra-x86_64/flatpak.install

------------------------------+
 /PKGBUILD                    |  156 +++++++++++++++++++++++++++++++++++++++++
 /flatpak.install             |   22 +++++
 extra-i686/PKGBUILD          |   78 --------------------
 extra-i686/flatpak.install   |   11 --
 extra-x86_64/PKGBUILD        |   78 --------------------
 extra-x86_64/flatpak.install |   11 --
 6 files changed, 178 insertions(+), 178 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2017-09-14 07:46:31 UTC (rev 305486)
+++ extra-i686/PKGBUILD	2017-09-14 07:46:39 UTC (rev 305487)
@@ -1,78 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak
-pkgver=0.9.10
-pkgrel=2
-pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
-url="http://flatpak.org"
-arch=(i686 x86_64)
-license=(LGPL2.1)
-depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
-         python bubblewrap)
-makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
-checkdepends=(valgrind)
-install=flatpak.install
-_commit=52aab929fb4f261f2d7995190adfad167d76589a  # tags/0.9.10^0
-source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
-        "git+https://github.com/projectatomic/bubblewrap"
-        "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
-            'SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib/$pkgname \
-    --disable-static \
-    --enable-gtk-doc \
-    --with-system-bubblewrap \
-    --with-priv-mode=setuid \
-    --with-dbus-config-dir=/usr/share/dbus-1/system.d
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  depends+=(xdg-desktop-portal)
-
-  cd $pkgname
-
-  make DESTDIR="$pkgdir" install
-
-  # Fixup mode to match polkit
-  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
-}

Copied: flatpak/repos/extra-i686/PKGBUILD (from rev 305486, flatpak/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2017-09-14 07:46:39 UTC (rev 305487)
@@ -0,0 +1,78 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.9.12
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+         python bubblewrap)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+install=flatpak.install
+_commit=4fc7107ab91aafd52188386ee48b5ae1eba715fc  # tags/0.9.12^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+        "git+https://github.com/projectatomic/bubblewrap"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --enable-gtk-doc \
+    --with-system-bubblewrap \
+    --with-priv-mode=setuid \
+    --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  depends+=(xdg-desktop-portal)
+
+  cd $pkgname
+
+  make DESTDIR="$pkgdir" install
+
+  # Fixup mode to match polkit
+  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}

Deleted: extra-i686/flatpak.install
===================================================================
--- extra-i686/flatpak.install	2017-09-14 07:46:31 UTC (rev 305486)
+++ extra-i686/flatpak.install	2017-09-14 07:46:39 UTC (rev 305487)
@@ -1,11 +0,0 @@
-post_install() {
-  post_upgrade $1 0
-}
-
-post_upgrade() {
-  if (( $(vercmp $2 0.6.1-3) < 0 )); then
-    # Generate initial /var/lib/flatpak/repo; must be present
-    # before non-root flatpak will try polkit auth
-    flatpak remote-list
-  fi
-}

Copied: flatpak/repos/extra-i686/flatpak.install (from rev 305486, flatpak/trunk/flatpak.install)
===================================================================
--- extra-i686/flatpak.install	                        (rev 0)
+++ extra-i686/flatpak.install	2017-09-14 07:46:39 UTC (rev 305487)
@@ -0,0 +1,11 @@
+post_install() {
+  post_upgrade $1 0
+}
+
+post_upgrade() {
+  if (( $(vercmp $2 0.6.1-3) < 0 )); then
+    # Generate initial /var/lib/flatpak/repo; must be present
+    # before non-root flatpak will try polkit auth
+    flatpak remote-list
+  fi
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2017-09-14 07:46:31 UTC (rev 305486)
+++ extra-x86_64/PKGBUILD	2017-09-14 07:46:39 UTC (rev 305487)
@@ -1,78 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak
-pkgver=0.9.10
-pkgrel=2
-pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
-url="http://flatpak.org"
-arch=(i686 x86_64)
-license=(LGPL2.1)
-depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
-         python bubblewrap)
-makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
-checkdepends=(valgrind)
-install=flatpak.install
-_commit=52aab929fb4f261f2d7995190adfad167d76589a  # tags/0.9.10^0
-source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
-        "git+https://github.com/projectatomic/bubblewrap"
-        "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
-            'SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib/$pkgname \
-    --disable-static \
-    --enable-gtk-doc \
-    --with-system-bubblewrap \
-    --with-priv-mode=setuid \
-    --with-dbus-config-dir=/usr/share/dbus-1/system.d
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  depends+=(xdg-desktop-portal)
-
-  cd $pkgname
-
-  make DESTDIR="$pkgdir" install
-
-  # Fixup mode to match polkit
-  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
-}

Copied: flatpak/repos/extra-x86_64/PKGBUILD (from rev 305486, flatpak/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2017-09-14 07:46:39 UTC (rev 305487)
@@ -0,0 +1,78 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.9.12
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+         python bubblewrap)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+install=flatpak.install
+_commit=4fc7107ab91aafd52188386ee48b5ae1eba715fc  # tags/0.9.12^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+        "git+https://github.com/projectatomic/bubblewrap"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --enable-gtk-doc \
+    --with-system-bubblewrap \
+    --with-priv-mode=setuid \
+    --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  depends+=(xdg-desktop-portal)
+
+  cd $pkgname
+
+  make DESTDIR="$pkgdir" install
+
+  # Fixup mode to match polkit
+  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}

Deleted: extra-x86_64/flatpak.install
===================================================================
--- extra-x86_64/flatpak.install	2017-09-14 07:46:31 UTC (rev 305486)
+++ extra-x86_64/flatpak.install	2017-09-14 07:46:39 UTC (rev 305487)
@@ -1,11 +0,0 @@
-post_install() {
-  post_upgrade $1 0
-}
-
-post_upgrade() {
-  if (( $(vercmp $2 0.6.1-3) < 0 )); then
-    # Generate initial /var/lib/flatpak/repo; must be present
-    # before non-root flatpak will try polkit auth
-    flatpak remote-list
-  fi
-}

Copied: flatpak/repos/extra-x86_64/flatpak.install (from rev 305486, flatpak/trunk/flatpak.install)
===================================================================
--- extra-x86_64/flatpak.install	                        (rev 0)
+++ extra-x86_64/flatpak.install	2017-09-14 07:46:39 UTC (rev 305487)
@@ -0,0 +1,11 @@
+post_install() {
+  post_upgrade $1 0
+}
+
+post_upgrade() {
+  if (( $(vercmp $2 0.6.1-3) < 0 )); then
+    # Generate initial /var/lib/flatpak/repo; must be present
+    # before non-root flatpak will try polkit auth
+    flatpak remote-list
+  fi
+}



More information about the arch-commits mailing list